%add_findprov_lib_path %_libdir/xfce4/modules
%add_findreq_skiplist %_libdir/xfce4/modules/*

Name: xfce4-mixer
Version: 4.4.2
Release: alt1

Summary: Audio mixer plugin for the XFce panel
License: BSD
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2

# from Ubuntu
Patch10: 01_volume_hotkeys.patch

Requires: xfce4-panel >= %version
BuildPreReq: xfce4-dev-tools >= 4.4.0
# Automatically added by buildreq on Mon Nov 19 2007
BuildRequires: gcc-c++ libalsa-devel libstartup-notification libxml2-devel perl-XML-Parser xfce-mcs-manager-devel xfce4-dev-tools xfce4-panel-devel intltool

BuildRequires: libalsa-devel

%description
%name is the volume control plugin for the XFce panel.
Includes a simple sound mixer.

%prep
%setup
%patch10 -p1

%build
libtoolize --force --copy
intltoolize --force
aclocal -I %_datadir/xfce4/dev-tools/m4macros
automake -acf
autoconf
%configure \
	--with-sound=alsa \
	--enable-final \
	--enable-debug=no
%make

%install
%make install DESTDIR=%buildroot
%find_lang %name

%files -f %name.lang
%doc README TODO ChangeLog NOTES INSTALL COPYING AUTHORS
%_bindir/*
%_libexecdir/xfce4/panel-plugins/*
%_libdir/xfce4/mcs-plugins/*.so
%_libdir/xfce4/modules/*.so*
%_desktopdir/*
%_datadir/xfce4/panel-plugins/xfce4-mixer.desktop
%_liconsdir/*
%exclude %_libdir/xfce4/modules/*.la
%exclude %_libdir/xfce4/mcs-plugins/*.la

%changelog
* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release
- fix restore level (patch from Ubuntu)
- change audio subsystem from oss to alsa

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt3
- Fix buildreq and cleanup spec

* Sun Oct 01 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- 4.4rc1

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Sat Jan 01 2005 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt2
- Removed libxfce4lixer.so from requires list.

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 0.1-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
